'* fxLib.BAS                                                                '
'* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved. '

'***************************************************************************'
'                                                                           '
' Function declarations for PCX Effects, for Basic.                         '
'                                                                           '
'                                                                           '
' Basic 6.0, QuickBasic 4.0/4.5           Programmer: Chris Howard  5/07/89 '
'                                                                           '
'***************************************************************************'


' Effects
CONST fxMINEFFECT      = 0
CONST fxWIPE           = 0                  ' Wipe    
CONST fxSPLIT          = 1                  ' Split   
CONST fxCRUSH          = 2                  ' Crush   
CONST fxSLIDE          = 3                  ' Slide   
CONST fxSAND           = 4                  ' Sand    
CONST fxDRIP           = 5                  ' Drip    
CONST fxEXPLODE        = 6                  ' Explode 
CONST fxDIAGONAL       = 7                  ' Spiral  
CONST fxSPIRAL         = 8                  ' Diagonal
CONST fxRANDOM         = 9                  ' Random  
CONST fxMAXEFFECT      = 9

' Palette
CONST fxFADEOUT        = 1000               ' Fade out  
CONST fxFADEIN         = 1001               ' Fade in   

' Directions
CONST fxLEFT           = 1                  ' Left      
CONST fxRIGHT          = 2                  ' Right     
CONST fxUP             = 4                  ' Up        
CONST fxDOWN           = 8                  ' Down      
CONST fxHORIZ          = 1                  ' Horizontal
CONST fxVERT           = 2                  ' Vertical  
CONST fxOUT            = 1                  ' OUT       
CONST fxIN             = 2                  ' In        

' Grain 
CONST fxMINGRAIN       = 2                  ' Minimum grain
CONST fxMAXGRAIN       = 64                 ' Maximum grain
                                            
' Delay 
CONST fxMINDELAY       = 0                  ' Minimum delay
CONST fxMAXDELAY       = 500                ' Maximum delay

' Miscellaneous
CONST fxTRUE           = 1                  ' True
CONST fxFALSE          = 0                  ' False
CONST fxON             = fxTRUE             ' On
CONST fxOFF            = fxFALSE            ' Off

' Error codes 
CONST fxSUCCESS        = pcxSUCCESS         ' Successful                
CONST fxERR.ESCAPE     = pcxERR.ESCAPE      ' Escape key was pressed    
CONST fxERR.BADEFFECT  = -1000              ' Effect not defined/invalid
CONST fxERR.BADGRAIN   = -1001              ' Grain  not defined/invalid
CONST fxERR.BADDELAY   = -1002              ' Delay  not defined/invalid

' Functions
' fxSE.asm
DECLARE FUNCTION fxSetEffect%          (BYVAL effect%)
DECLARE FUNCTION fxGetEffect%          
DECLARE FUNCTION fxSetGrain%           (BYVAL grain%)
DECLARE FUNCTION fxGetGrain%           
DECLARE FUNCTION fxSetDelay%           (BYVAL delay%)
DECLARE FUNCTION fxGetDelay%           
DECLARE FUNCTION fxGetVersion%         (SEG verbuf%)

' fxVE.asm
DECLARE FUNCTION fxVirtualEffect%      (BYVAL vptr&, BYVAL x%, BYVAL y%, BYVAL dir%)

' fxDK.asm
DECLARE FUNCTION fxCalibrateDelay%     
DECLARE FUNCTION fxEffectDelay%        (BYVAL delay%) 
DECLARE FUNCTION fxKeyCheck%           (BYVAL flag%) 

' fxTP.asm
DECLARE FUNCTION fxSetSpeaker%         (BYVAL flag%) 
DECLARE FUNCTION fxSetFrequency%       (BYVAL freq%) 
DECLARE FUNCTION fxTone%               (BYVAL freq%, BYVAL dur%) 
DECLARE FUNCTION fxPlay%               (SEG playstr$)
DECLARE FUNCTION fxPlayLeft%           
DECLARE FUNCTION fxPlayKill%           
DECLARE FUNCTION fxPlayLoop%           (BYVAL loopnum%) 

' fxPC.asm
DECLARE FUNCTION fxPaletteCycle%       (SEG palptr%, BYVAL start%, BYVAL total%, BYVAL rep%, BYVAL delay%)
DECLARE FUNCTION fxPaletteFade%        (SEG palptr%, BYVAL start%, BYVAL total%, BYVAL inc%, BYVAL rep%, BYVAL delay%)

' fxSR.asm
DECLARE FUNCTION fxSetRand%            (BYVAL seed%)
DECLARE FUNCTION fxGetRand%            (BYVAL range%)

' fxFI.asm
DECLARE FUNCTION fxFileImage%          (BYVAL vtype%,SEG vptr&,SEG filename$)
DECLARE FUNCTION fxLibImage%           (BYVAL vtype%,SEG vptr&,SEG libname$,SEG filename$)
DECLARE FUNCTION fxFreeImage%          (BYVAL vptr&)
