* fxLib.PRG                                                                 *
* Copyright (c) Genus Microprogramming, Inc. 1988-89  All Rights Reserved.  *

*****************************************************************************
*                                                                           *
* Function declarations for PCX Effects, for Clipper.                       *
*                                                                           *
*                                                                           *
*                                                                           *
* Clipper Summer '87                      Programmer: Chris Howard  5/08/89 *
*                                                                           *
*****************************************************************************

PROCEDURE fxInit                            && Init F/X Clipper constants

* Effects
PUBLIC               fxMINEFFECT,fxWIPE,fxSPLIT,fxCRUSH,fxSLIDE
PUBLIC               fxSAND,fxDRIP,fxEXPLODE,fxDIAGONAL,fxSPIRAL
PUBLIC               fxRANDOM,fxMAXEFFECT
fxMINEFFECT          = 0
fxWIPE               = 0                    && Wipe    
fxSPLIT              = 1                    && Split   
fxCRUSH              = 2                    && Crush   
fxSLIDE              = 3                    && Slide   
fxSAND               = 4                    && Sand    
fxDRIP               = 5                    && Drip    
fxEXPLODE            = 6                    && Explode 
fxDIAGONAL           = 7                    && Spiral  
fxSPIRAL             = 8                    && Diagonal
fxRANDOM             = 9                    && Random  
fxMAXEFFECT          = 9


* Palette
PUBLIC               fxFADEOUT,fxFADEIN
fxFADEOUT            = 1000                 && Fade out  
fxFADEIN             = 1001                 && Fade in   

* Directions
PUBLIC               fxNONE,fxLEFT,fxRIGHT,fxUP,fxDOWN,fxHORIZ,fxVERT
PUBLIC               fxOUT,fxIN
fxNONE               = 0                    && Left      
fxLEFT               = 1                    && Left      
fxRIGHT              = 2                    && Right     
fxUP                 = 4                    && Up        
fxDOWN               = 8                    && Down      
fxHORIZ              = 1                    && Horizontal
fxVERT               = 2                    && Vertical  
fxOUT                = 1                    && OUT       
fxIN                 = 2                    && In        
                                            
* Grain 
PUBLIC               fxMINGRAIN,fxMAXGRAIN
fxMINGRAIN           = 2                    && Minimum grain
fxMAXGRAIN           = 64                   && Maximum grain
                                            
* Delay                                    
PUBLIC               fxMINDELAY,fxMAXDELAY
fxMINDELAY           = 0                    && Minimum delay
fxMAXDELAY           = 500                  && Maximum delay

* Miscellaneous
PUBLIC               fxTRUE,fxFALSE,fxON,fxOFF
fxTRUE               = 1                    && True
fxFALSE              = 0                    && False
fxON                 = fxTRUE               && On
fxOFF                = fxOFF                && Off

* Error codes 
PUBLIC               fxSUCCESS,fxE_ESCAPE,fxE_BADEFFECT
PUBLIC               fxE_BADGRAIN,fxE_BADDELAY
fxSUCCESS            = pcxSUCCESS           && Successful                
fxE_ESCAPE           = pcxE_ESCAPE          && Escape key was pressed    
fxE_BADEFFECT        = -1000                && Effect not defined/invalid
fxE_BADGRAIN         = -1001                && Grain  not defined/invalid
fxE_BADDELAY         = -1002                && Delay  not defined/invalid

